import * as React from 'react';
import s from '../styles/FacebookSharePreview.module.css';
import { urlFor, getDomainName } from './socialPreviewUtils';
import GlobeIcon from './GlobeIcon';
const FacebookSharePreview = ({ title, description, ogImage, siteUrl }) => {
    const ogImageUrl = ogImage
        ? urlFor(ogImage).width(500).url() || undefined
        : undefined;
    return (<section className="share-item" style={{ background: 'rgb(233, 235, 238)' }}>
      <h2>Facebook sharing</h2>
      <div className={s.wrapper}>
        <div className={s.header}>
          <img src="https://via.placeholder.com/40/40" aria-hidden/>
          <div>Person</div>
          <span>
            1h <GlobeIcon />
          </span>
        </div>
        <div className={s.imageContainer}>
          <img className={s.image} src={ogImageUrl}/>
        </div>
        <div className={s.content}>
          <div className={s.url}>{getDomainName(siteUrl)}</div>
          <div className={s.title}>
            <a href="#">{title}</a>
          </div>
          <div className={s.desc}>{description}</div>
        </div>
        <div className={s.actions}>
          <span>Like</span>
          <span>Comment</span>
          <span>Share</span>
        </div>
      </div>
    </section>);
};
export default FacebookSharePreview;
