import React from 'react';
import s from '../styles/TwitterSharePreview.module.css';
import { getDomainName, urlFor } from './socialPreviewUtils';
const TwitterSharePreview = ({ title, description, ogImage, siteUrl, }) => {
    const ogImageUrl = ogImage
        ? urlFor(ogImage).width(560).url() || undefined
        : undefined;
    return (<section className="share-item" style={{ background: 'rgb(230, 236, 240)' }}>
      <h2>Twitter sharing</h2>
      <div className={s.wrapper}>
        <div className={s.header}>
          <div className={s.profile}>
            <img src="https://via.placeholder.com/48/48" aria-hidden/>
            <div>Person</div>
            <span>@person</span>
          </div>
          <button>Follow</button>
        </div>
        <div className={s.card}>
          <img src={ogImageUrl}/>
          <div className={s.content}>
            <div>{title}</div>
            {description && <p>{description}</p>}
            <span>{getDomainName(siteUrl)}</span>
          </div>
        </div>
        <div className={s.date}>
          {new Date().toLocaleTimeString('en', {
        second: undefined,
    })}{' '}
          -{' '}
          {new Date().toLocaleDateString('en', {
        dateStyle: 'medium',
    })}
        </div>
        <div className={s.likes}>
          <strong>10</strong> likes
        </div>
      </div>
    </section>);
};
export default TwitterSharePreview;
